#include "XcbWindow.h"

XcbWindow::XcbWindow(int hwnd)
    : mHandle(hwnd)
{

}

std::unique_ptr<XcbWindow> XcbWindow::Create(int hwnd)
{
    return std::make_unique<XcbWindow>(hwnd);
}

int XcbWindow::GetHandle() const
{
    return mHandle;
}

unsigned XcbWindow::GetGraphicsContext() const
{
    return mGraphicsContext;
}
